StackHawk Documentation StackHawk Logo HawkDocs

No results found

Try different keywords or check your spelling

Search documentation

Find guides, API references, and more

esc

List repositories

GET /api/v1/org/{orgId}/repos

List Repositories

List all repositories found via repository integrations for the given organization.

Usage:

Results are paginated via the previous and next page keys. To get additional pages, use the nextPageKey or previousPageKey from the response and send back in as the page query param. When the page parameter is provided, all other query parameters are ignored.

Additional Parameters:

  • query - fuzzy find repositories by name.
  • sortField - the field to sort the repositories by.
  • sortDir - direction to sort.
  • pageSize- number of results to return.
  • pageToken - zero-based index of the page to return.
  • filters - comma separated list of named filters to apply.

Requires read:repository permission.

Path parameters

orgIdstring · uuidrequired

UUID identifier for this StackHawk Organization.

Query parameters

querystring

A term used to filter results based on matching content in one or more fields.

sortFieldstring

Resource field to sort paginated response by.

10 available options
idfullNamelastCommitlastContributorlastScanTimeStampstackHawkApplicationscorestatuscommitCountsensitiveTagsCount
sortDirstring

Paginated results are sorted 'asc' or 'desc'.

3 available options
ASCDESCUNSORTED
pageSizeinteger · int32

Pagination response size limit.

default: 10
pageTokeninteger · int32

Pagination request page increment.

default: 0
pagestring

Pagination page key.

repoFilterstring

Repository search filter (Deprecated: Use filters param instead).

default: "ALL_REPOS"
16 available options
ALL_REPOSUNMAPPED_REPOSMAPPED_REPOSHIDDEN_REPOSREPOS_WITH_APP_SCANSREPOS_WITH_NO_APP_SCANSREPOS_WITH_INSIGHTSREPOS_WITH_NO_INSIGHTSWEB_APP_REPOSREPOS_IN_ATTACK_SURFACEREPOS_NOT_IN_ATTACK_SURFACEUNCOVERED_REPOSREPOS_WITH_RECENT_SCANSREPOS_WITH_GENERATED_OASREPOS_WITHOUT_GENERATED_OASREPOS_WITHOUT_RECENT_SCANS
appFilterstring

Repository search application filter (Deprecated: Use filters param instead).

default: "ALL_REPOS"
16 available options
ALL_REPOSUNMAPPED_REPOSMAPPED_REPOSHIDDEN_REPOSREPOS_WITH_APP_SCANSREPOS_WITH_NO_APP_SCANSREPOS_WITH_INSIGHTSREPOS_WITH_NO_INSIGHTSWEB_APP_REPOSREPOS_IN_ATTACK_SURFACEREPOS_NOT_IN_ATTACK_SURFACEUNCOVERED_REPOSREPOS_WITH_RECENT_SCANSREPOS_WITH_GENERATED_OASREPOS_WITHOUT_GENERATED_OASREPOS_WITHOUT_RECENT_SCANS
langIdsstring[]

A comma-delimited list of UUID identifiers of repository languages.

topicIdsstring[]

A comma-delimited list of UUID identifiers of repository topics.

frameworkNamesstring[]

A comma-delimited list of String identifiers of repository frameworks.

repositorySourcestring[]

A comma-delimited list of repository source types.

integrationIdsstring[]

A comma-delimited list of integration UUIDs to filter repositories by specific integrations.

sensitiveDataTagsstring[]

A comma-delimited list of sensitive data tags for repositories.

recentCommitTimeframestring

The timeframe of the most recent commit for a repo.

default: "LAST_COMMIT_DATE_UNSPECIFIED"
9 available options
LAST_COMMIT_DATE_UNSPECIFIEDLAST_24_HOURSLAST_7_DAYSLAST_14_DAYSLAST_30_DAYSOVER_30_DAYSLAST_90_DAYSLAST_180_DAYSLAST_365_DAYS
webAppFilterstring

Return only repos with a high Hawkscore, indicating a web app. Defaults to ALL_REPOS, set to WEB_APP_REPOS to get only retrieve webapps.

default: "ALL_REPOS"
16 available options
ALL_REPOSUNMAPPED_REPOSMAPPED_REPOSHIDDEN_REPOSREPOS_WITH_APP_SCANSREPOS_WITH_NO_APP_SCANSREPOS_WITH_INSIGHTSREPOS_WITH_NO_INSIGHTSWEB_APP_REPOSREPOS_IN_ATTACK_SURFACEREPOS_NOT_IN_ATTACK_SURFACEUNCOVERED_REPOSREPOS_WITH_RECENT_SCANSREPOS_WITH_GENERATED_OASREPOS_WITHOUT_GENERATED_OASREPOS_WITHOUT_RECENT_SCANS
uncoveredRepoFilterstring

Return only uncovered repos, which are repos that are in the org's attack surface, but not mapped to any applications. Defaults to ALL_REPOS, set to UNCOVERED_REPOS to get only uncovered repos.

default: "ALL_REPOS"
16 available options
ALL_REPOSUNMAPPED_REPOSMAPPED_REPOSHIDDEN_REPOSREPOS_WITH_APP_SCANSREPOS_WITH_NO_APP_SCANSREPOS_WITH_INSIGHTSREPOS_WITH_NO_INSIGHTSWEB_APP_REPOSREPOS_IN_ATTACK_SURFACEREPOS_NOT_IN_ATTACK_SURFACEUNCOVERED_REPOSREPOS_WITH_RECENT_SCANSREPOS_WITH_GENERATED_OASREPOS_WITHOUT_GENERATED_OASREPOS_WITHOUT_RECENT_SCANS
filtersstring[]

A comma-delimited list of repository search filters.

Response

OK

currentPage
pagination.Page
Hide child attributesShow child attributes
currentPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
currentPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
currentPage.filters.multi.values
string[]

The values of a given filter to filter on.

currentPage.filters.name
string

The name of the filter to apply.

currentPage.filters.value
string

A single value to filter on.

currentPage.number
integer<int32>

The page number to retrieve - 0 based

currentPage.query
string

The query string to filter the results.

currentPage.size
integer<int32>

the page size to retrieve.

currentPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
currentPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
currentPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

hasNext
boolean

Whether or not there is a next page.

hasPrev
boolean

Whether or not there is a previous page.

nextPage
pagination.Page
Hide child attributesShow child attributes
nextPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
nextPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
nextPage.filters.multi.values
string[]

The values of a given filter to filter on.

nextPage.filters.name
string

The name of the filter to apply.

nextPage.filters.value
string

A single value to filter on.

nextPage.number
integer<int32>

The page number to retrieve - 0 based

nextPage.query
string

The query string to filter the results.

nextPage.size
integer<int32>

the page size to retrieve.

nextPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
nextPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
nextPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

nextPageKey
string

The url-encoded next page key.

orgId
string

The organization id these repositories belong to.

prevPage
pagination.Page
Hide child attributesShow child attributes
prevPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
prevPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
prevPage.filters.multi.values
string[]

The values of a given filter to filter on.

prevPage.filters.name
string

The name of the filter to apply.

prevPage.filters.value
string

A single value to filter on.

prevPage.number
integer<int32>

The page number to retrieve - 0 based

prevPage.query
string

The query string to filter the results.

prevPage.size
integer<int32>

the page size to retrieve.

prevPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
prevPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
prevPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

prevPageKey
string

An internal previous page object. Will always be blank from the API response.

repositories
repository.Repository[]

The list of repositories in the current page.

Hide child attributesShow child attributes
repositories.appInfos
repository.AppInfo[]

The mapped applications to this repository

Hide child attributesShow child attributes
repositories.appInfos.appStatus
enum<string>

Read-only field for the application status.

2 available options
ACTIVEENV_INCOMPLETE
repositories.appInfos.id
string

The application id.

repositories.appInfos.lastScanHost
string

Read-only field for the last scan host.

repositories.appInfos.lastScanId
string

Read-only field for the last scan id.

repositories.appInfos.lastScanTimestamp
integer<int64>

Read-only field for the last scan timestamp.

repositories.appInfos.name
string

The application name.

repositories.archived
boolean

Whether or not this repository is archived.

repositories.cloneTimestamp
integer<int64>

clone timestamp.

repositories.commitCount
integer<int32>

The number of commits in the past 30 days.

repositories.commitSha
string

last recorded commitSha of the default branch.

repositories.fork
boolean

Whether or not this repository is a fork.

repositories.frameworkNames
string[]

the frameworks discovered for the repository

repositories.hasGeneratedOpenApiSpec
boolean

Whether or not the repository has a generated open api spec

repositories.hidden
boolean

Whether or not this repository is hidden.

repositories.insights
repository.Insight[]

The StackHawk API Discovery results of this repository.

Hide child attributesShow child attributes
repositories.insights.name
string

The name of the StackHawk API Discover insight.

repositories.insights.value
string

The processed response of the StackHawk API Discovery insight.

repositories.isInAttackSurface
boolean

Whether or not this repository is in the StackHawk API Discovery Attack Surface.

repositories.isNewRepository
boolean

Whether or not this repository is new.

repositories.isNewToAttackSurface
boolean

Whether or not this repository is new to the attack surface.

repositories.languages
repository.Language[]

The languages used in this repository.

Hide child attributesShow child attributes
repositories.languages.name
string

The name of the language.

repositories.languages.percent
number<double>

The percentage that this language comprises in a repository.

repositories.languages.size
integer<int64>

The number of bytes of this language in a repository.

repositories.languages.stackHawkId
string

The StackHawk language id.

repositories.lastCommitBranch
string

The last branch committed to for this repository.

repositories.lastCommitTimestamp
integer<int64>

The last commit timestamp of the repository.

repositories.lastContributor
repository.Contributor
Hide child attributesShow child attributes
repositories.lastContributor.avatarUrl
string

The avatar url of the contributor.

repositories.lastContributor.contributions
integer<int64>

The number recent of contributions.

repositories.lastContributor.email
string

The email of the contributor - frequently blank.

repositories.lastContributor.lastContributionTimestamp
integer<int64>

The last time this user contributed.

repositories.lastContributor.name
string

The username of the contributor.

repositories.lastContributor.remoteId
string

The remote contributor id.

repositories.lastContributor.source
enum<string>

The source of the contributor.

5 available options
UNKNOWNGITHUBAZURE_DEVOPSBITBUCKETGITLAB
repositories.lastContributor.stackhawkId
string

The StackHawk contributor id.

repositories.lastScanHost
string

Deprecated - the last scan host of the associated application. Use appInfos instead.

repositories.lastScanId
string

Deprecated - the last scan id of the associated application. Use appInfos instead.

repositories.lastScanTimestamp
integer<int64>

Deprecated - the last scan timestamp of the associated application. Use appInfos instead.

repositories.name
string

The name of the repository

repositories.namespace
string

Provider dependent, optional namespace/group/subgroup/folder the repository belongs to.

repositories.namespaceId
string

If applicable, the unique identifier of the repository's namespace.

repositories.notes
repository.RepositoryNote[]

Notes/comments added to this repository by users.

Hide child attributesShow child attributes
repositories.notes.note
string

The text content of the note.

repositories.notes.stackhawkId
string

The unique StackHawk identifier for this note.

repositories.notes.timestamp
integer<int64>

The timestamp when this note was created (Unix timestamp in milliseconds).

repositories.notes.userEmail
string

The email of the user who created this note.

repositories.openApiSpecInfo
open_api_spec.OpenAPISpecInfo
Hide child attributesShow child attributes
repositories.openApiSpecInfo.details
string
repositories.openApiSpecInfo.generatedOasCount
integer<int32>
repositories.openApiSpecInfo.info
string
repositories.openApiSpecInfo.organizationId
string
repositories.openApiSpecInfo.repositoryId
string
repositories.openApiSpecInfo.repositoryMetadata
open_api_spec.RepositoryMetadata
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.languages
string[]
repositories.openApiSpecInfo.repositoryMetadata.matchWords
codeWord.MatchWord[]
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.matchWords.category
string
repositories.openApiSpecInfo.repositoryMetadata.matchWords.codeType
enum<string>
5 available options
VARIABLEFUNCTIONCLASSMODULEFILE
repositories.openApiSpecInfo.repositoryMetadata.matchWords.count
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchName
string
repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchPercentage
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchScore
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchType
enum<string>
7 available options
NUCLEOSTARTS_WITHENDS_WITHCONTAINSEXACTLEVENSHTEINBREAKOUT
repositories.openApiSpecInfo.repositoryMetadata.matchWords.name
string
repositories.openApiSpecInfo.repositoryMetadata.matchWords.score
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots
open_api_spec.SourceRoot[]
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.buildFiles
string[]
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.directory
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.framework
enum<string>
5 available options
UNKNOWN_FRAMEWORKSPRINGEXPRESS_JSPLAYFLASK
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult
open_api_spec.OASGenerationResult
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.generationMessages
string[]
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch
open_api_spec.OASGenBatch[]
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles
open_api_spec.OASSourceMapping[]
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles.mappingType
enum<string>
3 available options
UNKNOWNREST_CONTROLLERIMPORT
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles.sourceFile
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.oasJson
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.promptText
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.tokenCount
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasJson
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.hasOasSpec
boolean
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.languages
string[]
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.oasAIPromptsDetected
boolean
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.s3Key
string
repositories.openApiSpecInfo.startDate
integer<int64>
repositories.openApiSpecInfo.status
enum<string>
6 available options
NONEBUILDINGDONEERRORUNABLE_TO_COMPLETENOT_APPLICABLE
repositories.private
boolean

Whether or not this repository is private.

repositories.providerOrgId
string

Unique identifier of the repository's organization or equivalent entity type.

repositories.providerOrgName
string

The repository provider's top level entity this repository is associated with.

repositories.remoteUrl
string

The remote url of the repository.

repositories.repoSize
integer<int64>

last recorded size of repository in bytes.

repositories.repoSource
enum<string>

The source of the repository.

5 available options
UNKNOWNGITHUBAZURE_DEVOPSBITBUCKETGITLAB
repositories.score
integer<int32>

The StackHawk API Discovery Score.

repositories.sensitiveDataTags
repository.Tag[]
Hide child attributesShow child attributes
repositories.sensitiveDataTags.name
string

The name of the tag.

repositories.sensitiveDataTags.stackHawkId
string

The StackHawk tag id.

repositories.stackHawkApplicationId
string

Deprecated - the application id associated with this repository. Use appInfos instead.

repositories.stackHawkApplicationName
string

Deprecated - the application name associated with this repository. Use appInfos instead.

repositories.stackHawkApplicationStatus
enum<string>

Deprecated - the application status of the associated application. Use appInfos instead.

2 available options
ACTIVEENV_INCOMPLETE
repositories.stackHawkIntegrationId
string

The Integration Id this repository is associated to.

repositories.stackHawkRepoId
string

The StackHawk repository id.

repositories.status
enum<string>

The StackHawk API Discovery Status.

3 available options
NOT_APPLICABLENOT_COVEREDCOVERED
repositories.topics
repository.Topic[]

The topics of this repository.

Hide child attributesShow child attributes
repositories.topics.name
string

The name of the topic.

repositories.topics.stackHawkId
string

The StackHawk topic id.

totalCount
integer<int64>

The total number of repositories in this organization.

currentPage
pagination.Page
Hide child attributesShow child attributes
currentPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
currentPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
currentPage.filters.multi.values
string[]

The values of a given filter to filter on.

currentPage.filters.name
string

The name of the filter to apply.

currentPage.filters.value
string

A single value to filter on.

currentPage.number
integer<int32>

The page number to retrieve - 0 based

currentPage.query
string

The query string to filter the results.

currentPage.size
integer<int32>

the page size to retrieve.

currentPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
currentPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
currentPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

hasNext
boolean

Whether or not there is a next page.

hasPrev
boolean

Whether or not there is a previous page.

nextPage
pagination.Page
Hide child attributesShow child attributes
nextPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
nextPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
nextPage.filters.multi.values
string[]

The values of a given filter to filter on.

nextPage.filters.name
string

The name of the filter to apply.

nextPage.filters.value
string

A single value to filter on.

nextPage.number
integer<int32>

The page number to retrieve - 0 based

nextPage.query
string

The query string to filter the results.

nextPage.size
integer<int32>

the page size to retrieve.

nextPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
nextPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
nextPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

nextPageKey
string

The url-encoded next page key.

orgId
string

The organization id these repositories belong to.

prevPage
pagination.Page
Hide child attributesShow child attributes
prevPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
prevPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
prevPage.filters.multi.values
string[]

The values of a given filter to filter on.

prevPage.filters.name
string

The name of the filter to apply.

prevPage.filters.value
string

A single value to filter on.

prevPage.number
integer<int32>

The page number to retrieve - 0 based

prevPage.query
string

The query string to filter the results.

prevPage.size
integer<int32>

the page size to retrieve.

prevPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
prevPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
prevPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

prevPageKey
string

An internal previous page object. Will always be blank from the API response.

repositories
repository.Repository[]

The list of repositories in the current page.

Hide child attributesShow child attributes
repositories.appInfos
repository.AppInfo[]

The mapped applications to this repository

Hide child attributesShow child attributes
repositories.appInfos.appStatus
enum<string>

Read-only field for the application status.

2 available options
ACTIVEENV_INCOMPLETE
repositories.appInfos.id
string

The application id.

repositories.appInfos.lastScanHost
string

Read-only field for the last scan host.

repositories.appInfos.lastScanId
string

Read-only field for the last scan id.

repositories.appInfos.lastScanTimestamp
integer<int64>

Read-only field for the last scan timestamp.

repositories.appInfos.name
string

The application name.

repositories.archived
boolean

Whether or not this repository is archived.

repositories.cloneTimestamp
integer<int64>

clone timestamp.

repositories.commitCount
integer<int32>

The number of commits in the past 30 days.

repositories.commitSha
string

last recorded commitSha of the default branch.

repositories.fork
boolean

Whether or not this repository is a fork.

repositories.frameworkNames
string[]

the frameworks discovered for the repository

repositories.hasGeneratedOpenApiSpec
boolean

Whether or not the repository has a generated open api spec

repositories.hidden
boolean

Whether or not this repository is hidden.

repositories.insights
repository.Insight[]

The StackHawk API Discovery results of this repository.

Hide child attributesShow child attributes
repositories.insights.name
string

The name of the StackHawk API Discover insight.

repositories.insights.value
string

The processed response of the StackHawk API Discovery insight.

repositories.isInAttackSurface
boolean

Whether or not this repository is in the StackHawk API Discovery Attack Surface.

repositories.isNewRepository
boolean

Whether or not this repository is new.

repositories.isNewToAttackSurface
boolean

Whether or not this repository is new to the attack surface.

repositories.languages
repository.Language[]

The languages used in this repository.

Hide child attributesShow child attributes
repositories.languages.name
string

The name of the language.

repositories.languages.percent
number<double>

The percentage that this language comprises in a repository.

repositories.languages.size
integer<int64>

The number of bytes of this language in a repository.

repositories.languages.stackHawkId
string

The StackHawk language id.

repositories.lastCommitBranch
string

The last branch committed to for this repository.

repositories.lastCommitTimestamp
integer<int64>

The last commit timestamp of the repository.

repositories.lastContributor
repository.Contributor
Hide child attributesShow child attributes
repositories.lastContributor.avatarUrl
string

The avatar url of the contributor.

repositories.lastContributor.contributions
integer<int64>

The number recent of contributions.

repositories.lastContributor.email
string

The email of the contributor - frequently blank.

repositories.lastContributor.lastContributionTimestamp
integer<int64>

The last time this user contributed.

repositories.lastContributor.name
string

The username of the contributor.

repositories.lastContributor.remoteId
string

The remote contributor id.

repositories.lastContributor.source
enum<string>

The source of the contributor.

5 available options
UNKNOWNGITHUBAZURE_DEVOPSBITBUCKETGITLAB
repositories.lastContributor.stackhawkId
string

The StackHawk contributor id.

repositories.lastScanHost
string

Deprecated - the last scan host of the associated application. Use appInfos instead.

repositories.lastScanId
string

Deprecated - the last scan id of the associated application. Use appInfos instead.

repositories.lastScanTimestamp
integer<int64>

Deprecated - the last scan timestamp of the associated application. Use appInfos instead.

repositories.name
string

The name of the repository

repositories.namespace
string

Provider dependent, optional namespace/group/subgroup/folder the repository belongs to.

repositories.namespaceId
string

If applicable, the unique identifier of the repository's namespace.

repositories.notes
repository.RepositoryNote[]

Notes/comments added to this repository by users.

Hide child attributesShow child attributes
repositories.notes.note
string

The text content of the note.

repositories.notes.stackhawkId
string

The unique StackHawk identifier for this note.

repositories.notes.timestamp
integer<int64>

The timestamp when this note was created (Unix timestamp in milliseconds).

repositories.notes.userEmail
string

The email of the user who created this note.

repositories.openApiSpecInfo
open_api_spec.OpenAPISpecInfo
Hide child attributesShow child attributes
repositories.openApiSpecInfo.details
string
repositories.openApiSpecInfo.generatedOasCount
integer<int32>
repositories.openApiSpecInfo.info
string
repositories.openApiSpecInfo.organizationId
string
repositories.openApiSpecInfo.repositoryId
string
repositories.openApiSpecInfo.repositoryMetadata
open_api_spec.RepositoryMetadata
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.languages
string[]
repositories.openApiSpecInfo.repositoryMetadata.matchWords
codeWord.MatchWord[]
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.matchWords.category
string
repositories.openApiSpecInfo.repositoryMetadata.matchWords.codeType
enum<string>
5 available options
VARIABLEFUNCTIONCLASSMODULEFILE
repositories.openApiSpecInfo.repositoryMetadata.matchWords.count
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchName
string
repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchPercentage
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchScore
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.matchWords.matchType
enum<string>
7 available options
NUCLEOSTARTS_WITHENDS_WITHCONTAINSEXACTLEVENSHTEINBREAKOUT
repositories.openApiSpecInfo.repositoryMetadata.matchWords.name
string
repositories.openApiSpecInfo.repositoryMetadata.matchWords.score
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots
open_api_spec.SourceRoot[]
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.buildFiles
string[]
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.directory
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.framework
enum<string>
5 available options
UNKNOWN_FRAMEWORKSPRINGEXPRESS_JSPLAYFLASK
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult
open_api_spec.OASGenerationResult
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.generationMessages
string[]
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch
open_api_spec.OASGenBatch[]
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles
open_api_spec.OASSourceMapping[]
Hide child attributesShow child attributes
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles.mappingType
enum<string>
3 available options
UNKNOWNREST_CONTROLLERIMPORT
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.logicalFiles.sourceFile
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.oasJson
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.promptText
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasGenBatch.tokenCount
integer<int32>
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.generationResult.oasJson
string
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.hasOasSpec
boolean
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.languages
string[]
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.oasAIPromptsDetected
boolean
repositories.openApiSpecInfo.repositoryMetadata.sourceRoots.s3Key
string
repositories.openApiSpecInfo.startDate
integer<int64>
repositories.openApiSpecInfo.status
enum<string>
6 available options
NONEBUILDINGDONEERRORUNABLE_TO_COMPLETENOT_APPLICABLE
repositories.private
boolean

Whether or not this repository is private.

repositories.providerOrgId
string

Unique identifier of the repository's organization or equivalent entity type.

repositories.providerOrgName
string

The repository provider's top level entity this repository is associated with.

repositories.remoteUrl
string

The remote url of the repository.

repositories.repoSize
integer<int64>

last recorded size of repository in bytes.

repositories.repoSource
enum<string>

The source of the repository.

5 available options
UNKNOWNGITHUBAZURE_DEVOPSBITBUCKETGITLAB
repositories.score
integer<int32>

The StackHawk API Discovery Score.

repositories.sensitiveDataTags
repository.Tag[]
Hide child attributesShow child attributes
repositories.sensitiveDataTags.name
string

The name of the tag.

repositories.sensitiveDataTags.stackHawkId
string

The StackHawk tag id.

repositories.stackHawkApplicationId
string

Deprecated - the application id associated with this repository. Use appInfos instead.

repositories.stackHawkApplicationName
string

Deprecated - the application name associated with this repository. Use appInfos instead.

repositories.stackHawkApplicationStatus
enum<string>

Deprecated - the application status of the associated application. Use appInfos instead.

2 available options
ACTIVEENV_INCOMPLETE
repositories.stackHawkIntegrationId
string

The Integration Id this repository is associated to.

repositories.stackHawkRepoId
string

The StackHawk repository id.

repositories.status
enum<string>

The StackHawk API Discovery Status.

3 available options
NOT_APPLICABLENOT_COVEREDCOVERED
repositories.topics
repository.Topic[]

The topics of this repository.

Hide child attributesShow child attributes
repositories.topics.name
string

The name of the topic.

repositories.topics.stackHawkId
string

The StackHawk topic id.

totalCount
integer<int64>

The total number of repositories in this organization.

Unauthorized

Your privacy settings

We use first and third party cookies to ensure that we give you the best experience on our website and in our products.